Package com.norconex.commons.lang.flow.module

# Class FlowSerializer<T>

java.lang.Object
tools.jackson.databind.ValueSerializer<Consumer<T>>
com.norconex.commons.lang.flow.module.FlowSerializer<T>

Type Parameters:
  `T` - type type of object being serialized

All Implemented Interfaces:
  `tools.jackson.databind.jsonFormatVisitors.JsonFormatVisitable`

public class FlowSerializer<T> extends tools.jackson.databind.ValueSerializer<Consumer<T>>
Flow serializer.

Since:
  3.0.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class tools.jackson.databind.ValueSerializer

  `tools.jackson.databind.ValueSerializer.None`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlowSerializer(FlowMapperConfig config, tools.jackson.databind.ValueSerializer<?> defaultSerializer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `tools.jackson.databind.ValueSerializer<?>`
  `createContextual(tools.jackson.databind.SerializationContext prov, tools.jackson.databind.BeanProperty property)`
  `void`
  `resolve(tools.jackson.databind.SerializationContext provider)`
  `void`
  `serialize(Consumer<T> value, tools.jackson.core.JsonGenerator gen, tools.jackson.databind.SerializationContext sp)`

  ### Methods inherited from class tools.jackson.databind.ValueSerializer

  `acceptJsonFormatVisitor, getDelegatee, handledType, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, serializeWithType, unwrappingSerializer, usesObjectId, withFilterId, withFormatOverrides, withIgnoredProperties`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FlowSerializer

    public FlowSerializer(FlowMapperConfig config, tools.jackson.databind.ValueSerializer<?> defaultSerializer)

- ## Method Details

  - ### serialize

    public void serialize(Consumer<T> value, tools.jackson.core.JsonGenerator gen, tools.jackson.databind.SerializationContext sp)
    Specified by:
      `serialize` in class `tools.jackson.databind.ValueSerializer<Consumer<T>>`

  - ### createContextual

    public tools.jackson.databind.ValueSerializer<?> createContextual(tools.jackson.databind.SerializationContext prov, tools.jackson.databind.BeanProperty property) throws tools.jackson.databind.DatabindException
    Overrides:
      `createContextual` in class `tools.jackson.databind.ValueSerializer<Consumer<T>>`
    Throws:
      `tools.jackson.databind.DatabindException`

  - ### resolve

    public void resolve(tools.jackson.databind.SerializationContext provider) throws tools.jackson.databind.DatabindException
    Overrides:
      `resolve` in class `tools.jackson.databind.ValueSerializer<Consumer<T>>`
    Throws:
      `tools.jackson.databind.DatabindException`